package com.common.commonlib.net.callback

import com.common.commonlib.log.Logger

/**
 * 不关注结果的的回调
 *
 * @author wangym
 * @since 2021/8/2
 */
abstract class RequestNoResultCallBack<T> : RequestCallBack<T> {
    override fun onResult(result: T) {
        Logger.d("result ignore")
    }

    abstract override fun onError(error: String?)

    abstract override fun onComplete()
}
